// (CVN) - Candy Valley Network GmbH

#pragma once

#include <CoreMinimal.h>

// EXTERNAL INCLUDES

// INTERNAL INCLUDES
#include "Adapters/LovenseConnectAdapterBase.h"


/**
 * @brief Adapter representing the Lovense Connect pc app.
 */
class LovenseConnectDesktopAdapter : public LovenseConnectAdapterBase {
public:
	LovenseConnectDesktopAdapter();

protected:
	virtual void GetToys(FOnLovenseGetToysResponse callback) override;
	virtual void WebThread_SendCommand(const FString& command, FOnLovenseResponse callback) override;
};
